Subject: Re: Rmail queues everything? <[email-masked]>

From: Hannes Deeken <[email-masked]>

In message <[email-masked]>, [email-masked] wr
ites:
> Why does the current source for rmail queue everything it sends through
> sendmail? i.e. it's passing -odq to sendmail which makes it queue
> incoming mail automatically.
> 
> This has been around for a while (I can find it in original net2 source).
> but I finally got tired out of it and went looking. Is there any real
> reason to do this? If the mail needs to be queued, then the site
> sendmail.cf should make that decision since it's easily modified. Most
> people's uucp mailer definition will have the "e" option enabled if
> they need mailed queued first anyways. But, since a fair amount of
> incoming uucp mail is locally bound anyways it should get delivered
> if at all possible.

If rmail would call sendmail without specifying a delivery mode, you'd
have several parallel sendmail processes delivering mail after a normal UUCP
connection (due to the store-and-forward nature of UUCP). Delivering
queue-only reduces the system load, since only one sendmail process
(the daemon) handles the mail.

I wonder whether it would be a good idea to change rmail to use '-odi' to
force synchronous delivery. Incoming mail would be delivered immediately
without waiting in the queue, but since rmail waits for sendmail to finish,
there would be only one delivery process at a time.

Just my $0.02
Hannes
-- 
Hans-Christoph Deeken | hannes@flinx.{RoBIN.de,hotb.sub.org} (home)
Paul-Wagner-Str. 58   | [email-masked] (university)
64285 Darmstadt       | IRC: Glenlivet            | "Tuuut." -- Karate Kid 2